map $host $z_push { default z-push; }

server {
    listen      80;
    listen      [::]:80;
    server_name shore.co.il;
    include     snippets/robots-allow-all.conf;
    include     snippets/ads-txt.conf;
    include     snippets/security-txt.conf;
    location = /        { return 301 https://$host/blog/; }
    location /repo/     {
        root            /var/www/www.shore.co.il/;
        autoindex       on;
    }
    include     snippets/redirect-https.conf;
}

server {
    listen      443 ssl;
    listen      [::]:443 ssl;
    server_name shore.co.il;
    include     snippets/robots-allow-all.conf;
    include     snippets/ads-txt.conf;
    include     snippets/security-txt.conf;
    include     snippets/ssl.conf;
    include     snippets/nextcloud-well-known.conf;
    include     snippets/z-push.conf;

    location = /        { return 301 https://www.shore.co.il/blog/; }
    location /          { return 301 https://www.shore.co.il$request_uri; }
}
